Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RowComparator

`java.lang.Object
oracle.jbo.RowComparator`

All Implemented Interfaces:
  java.util.Comparator

public class RowComparator
extends java.lang.Object
implements java.util.Comparator

Constructor Summary
`RowComparator(SortCriteria[] sortCriteria)`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`
`static boolean` | `compareEquals(java.lang.Object lVal, java.lang.Object rVal)`
`int` | `compareRows(Row row1, Row row2)`
`static int` | `compareValues(java.lang.Object lVal, java.lang.Object rVal)`
`boolean` | `equal(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### RowComparator

    public RowComparator(SortCriteria[] sortCriteria)

Method Detail

### compareEquals

    public static boolean compareEquals(java.lang.Object lVal,
                                        java.lang.Object rVal)

### compareValues

    public static int compareValues(java.lang.Object lVal,
                                    java.lang.Object rVal)

### compareRows

    public int compareRows(Row row1,
                           Row row2)

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

### equal

    public boolean equal(java.lang.Object obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.